## org.apache.mahout.cf.taste.impl.recommender.svd
Class ParallelSGDFactorizer.PreferenceShuffler

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.svd.ParallelSGDFactorizer.PreferenceShuffler

Enclosing class:
  ParallelSGDFactorizer

    protected static class ParallelSGDFactorizer.PreferenceShuffler

extends Object

Field Summary
`protected RandomWrapper` `random`

Constructor Summary
`ParallelSGDFactorizer.PreferenceShuffler(DataModel dataModel)`

Method Summary
`Preference` `get(int i)`
`void` `shuffle()`
`int` `size()`
`void` `stage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    protected final RandomWrapper random

Constructor Detail

### ParallelSGDFactorizer.PreferenceShuffler

    public ParallelSGDFactorizer.PreferenceShuffler(DataModel dataModel)
                                             throws TasteException

Throws:
  `TasteException`

Method Detail

### shuffle

    public void shuffle()

### stage

    public void stage()

### get

    public Preference get(int i)

### size

    public int size()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.